Page MenuHomePhabricator

Make Spanish available under the Oceania region
Open, Needs TriagePublic

Description

When a user chooses a language of the article on the left panel, often the available languages are grouped according to their distribution on the continents. When I choose Oceania, the Spanish language is absent on the list, however it is also spoken on the Easter Island, which is indeed part of Oceania.

How to fix this (for developers):
This must first be done in the https://github.com/wikimedia/language-data repository. Only after it's merged there in GitHub, it must be updated in Wikimedia Gerrit in the mediawiki/extensions/UniversalLanguageSelector repository in the lib/jquery.uls/src/jquery.uls.data.js file.

Details

Related Gerrit Patches:
mediawiki/extensions/UniversalLanguageSelector : masterMake Spanish available under the Pacific region

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2017, 6:51 PM

Hi @Bertiebotts, thanks for taking the time to report this!

So your request is to make Spanish available under the Oceania region?

Hi @Aklapper, you understood correctly: please make Spanish available under the Oceania region. Maybe it will be bold to ask to include it under the Asia region, too... (https://en.wikipedia.org/wiki/Spanish_language_in_the_Philippines)

Sorry for the delay, I was having problems with authentication on MediaWiki.

Aklapper renamed this task from Choice of languages to Make Spanish available under the Oceania region.Aug 15 2017, 2:05 PM
Amire80 added a project: good first task.

Relevant also for Philippines.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 31 2017, 10:57 AM

@Amire80 Sir, What is the code of Oceania region like Worldwide have WW?

PA, from "Pacific".

Change 387559 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/UniversalLanguageSelector@master] Make Spanish available under the Pacific region

https://gerrit.wikimedia.org/r/387559

Aklapper updated the task description. (Show Details)Oct 31 2017, 12:32 PM

Change 387559 abandoned by Jayprakash12345:
Make Spanish available under the Pacific region

Reason:
As per Amire Sir

https://gerrit.wikimedia.org/r/387559

Jayprakash12345 added a comment.EditedOct 31 2017, 12:36 PM

@Amire80 If I am not wrong. First, we need to change the region in langdb.yaml?

Yes, and then run ulsdata2json.php.

Relevant also for Philippines.

If so, then it should be included under the Asian region, too.

Well, wanting to be a guinea pig I added the region to langdb.yaml in https://github.com/wikimedia/language-data/pull/4 .
But did not manage to run ulsdata2json.php because Uncaught Error: Call to undefined function simplexml_load_file() in /home/acko/coding/wikimedia/language-data/data/ulsdata2json.php:47. Seems to not check for dependencies to gracefully bail?

Probably not good first task.

Bertiebotts added a comment.EditedApr 3 2018, 3:23 PM

Spanish should also be shown under the Asian region. Justification: the Philippines is an Asian country that still has a sizable Spanish-speaking population, an academy that regulates the use of the language, and cultural heritage stemming from three centuries of Spanish colonial rule. Despite losing its official status not so long ago, Spanish is enjoying a small revival that is also supported by the government.
Could you make the necessary addition, please?

Change 472677 had a related patch set uploaded (by Mustaq Ahammad; owner: Mustaq Ahammad):
[mediawiki/extensions/UniversalLanguageSelector@master] T172934 Fixed

https://gerrit.wikimedia.org/r/472677